Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Mylyn » Trim Widget to Graduate?
Trim Widget to Graduate? [message #514324] Sun, 14 February 2010 08:49 Go to next message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Hi,

Thank you for the awesome trim widget. I can not live without it.

I wonder when it's supposed to leave incubation. I discovered p2 update
problems with the Incubator repository. For being able to update the
rest of Mylyn I had to uninstall the UI Experiments first because I got
this error:

Cannot complete the install because of a conflicting dependency.
Software being installed: Mylyn UI Experiments (Incubation)
3.3.2.I20100209-0100-e3x
(org.eclipse.mylyn.sandbox.ui_feature.feature.group
3.3.2.I20100209-0100-e3x)
Software currently installed: Mylyn Bridge: Eclipse IDE
3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
3.4.0.I20100204-0200-e3x)
Only one of the following can be installed at once:
Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
3.3.2.I20100209-0100-e3x)
Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
3.4.0.I20100204-0200-e3x)
Cannot satisfy dependency:
From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
(org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
To: org.eclipse.mylyn.ide.ui
Cannot satisfy dependency:
From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
(org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
Cannot satisfy dependency:
From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
(org.eclipse.mylyn.sandbox.ui_feature.feature.group
3.3.2.I20100209-0100-e3x)
To: org.eclipse.mylyn.java_feature.feature.group
[3.3.2.I20100209-0100,3.4.0)

Installing the UI Experiments later was not possible ;-(

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper
Re: Trim Widget to Graduate? [message #514892 is a reply to message #514324] Tue, 16 February 2010 22:10 Go to previous messageGo to next message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
Hi Eike,

the weekly site currently distributes the 3.3.x maintenance stream and not
the latest from head which is in Helios. This is a temporary measure while
integrators and users transition to the 3.4 stream.

You can get a Helios compatible UI Experiments feature from this update
site:

http://download.eclipse.org/tools/mylyn/update/dev/incubator

In case you get an error about unresolved Mylyn dependencies also add this
site:

http://download.eclipse.org/tools/mylyn/update/dev/e3.4

Note that the dev sites will disappear in the near future and the weekly
site will have the latest again as usual. I'll announce the switch on this
bug:

301565: Mylyn weekly update site has WikiText 1.2, not 1.3
https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565

We don't have plans to graduate the trim widget at the moment. Sorry for the
inconvenience.

Steffen



Eike Stepper wrote:
> Hi,
>
> Thank you for the awesome trim widget. I can not live without it.
>
> I wonder when it's supposed to leave incubation. I discovered p2 update
> problems with the Incubator repository. For being able to update the
> rest of Mylyn I had to uninstall the UI Experiments first because I got
> this error:
>
> Cannot complete the install because of a conflicting dependency.
> Software being installed: Mylyn UI Experiments (Incubation)
> 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
> 3.3.2.I20100209-0100-e3x)
> Software currently installed: Mylyn Bridge: Eclipse IDE
> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
> 3.4.0.I20100204-0200-e3x)
> Only one of the following can be installed at once:
> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
> 3.3.2.I20100209-0100-e3x)
> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
> 3.4.0.I20100204-0200-e3x)
> Cannot satisfy dependency:
> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
> To: org.eclipse.mylyn.ide.ui
> Cannot satisfy dependency:
> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
> Cannot satisfy dependency:
> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
> 3.3.2.I20100209-0100-e3x)
> To: org.eclipse.mylyn.java_feature.feature.group
> [3.3.2.I20100209-0100,3.4.0)
>
> Installing the UI Experiments later was not possible ;-(
>
> Cheers
> /Eike
>
> ----
> http://thegordian.blogspot.com
> http://twitter.com/eikestepper

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #514904 is a reply to message #514892] Wed, 17 February 2010 02:02 Go to previous messageGo to next message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Hi Steffen,

With your infos I was able to install the trim widget again. Thank you ;-)

May I ask for the reason that the widget will not graduate? I'm using it
for a long time now and to me it seems rocket stable and highly useful.

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper


> Hi Eike,
>
> the weekly site currently distributes the 3.3.x maintenance stream and not
> the latest from head which is in Helios. This is a temporary measure while
> integrators and users transition to the 3.4 stream.
>
> You can get a Helios compatible UI Experiments feature from this update
> site:
>
> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>
> In case you get an error about unresolved Mylyn dependencies also add this
> site:
>
> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>
> Note that the dev sites will disappear in the near future and the weekly
> site will have the latest again as usual. I'll announce the switch on this
> bug:
>
> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>
> We don't have plans to graduate the trim widget at the moment. Sorry for the
> inconvenience.
>
> Steffen
>
>
>
> Eike Stepper wrote:
>
>> Hi,
>>
>> Thank you for the awesome trim widget. I can not live without it.
>>
>> I wonder when it's supposed to leave incubation. I discovered p2 update
>> problems with the Incubator repository. For being able to update the
>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>> this error:
>>
>> Cannot complete the install because of a conflicting dependency.
>> Software being installed: Mylyn UI Experiments (Incubation)
>> 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>> 3.3.2.I20100209-0100-e3x)
>> Software currently installed: Mylyn Bridge: Eclipse IDE
>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>> 3.4.0.I20100204-0200-e3x)
>> Only one of the following can be installed at once:
>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>> 3.3.2.I20100209-0100-e3x)
>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>> 3.4.0.I20100204-0200-e3x)
>> Cannot satisfy dependency:
>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>> To: org.eclipse.mylyn.ide.ui
>> Cannot satisfy dependency:
>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>> Cannot satisfy dependency:
>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>> 3.3.2.I20100209-0100-e3x)
>> To: org.eclipse.mylyn.java_feature.feature.group
>> [3.3.2.I20100209-0100,3.4.0)
>>
>> Installing the UI Experiments later was not possible ;-(
>>
>> Cheers
>> /Eike
>>
>> ----
>> http://thegordian.blogspot.com
>> http://twitter.com/eikestepper
>>
>
Re: Trim Widget to Graduate? [message #515178 is a reply to message #514904] Wed, 17 February 2010 20:06 Go to previous messageGo to next message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
Good to hear that you were successful installing it. I personally use the
trim widget very frequently and have it enabled in most of my workspaces. I
find it particularly useful on small monitors where the task list is not
always visible (e.g. in fast view) as an indicator of the active task and a
quick way to navigate to it.

The widget can interact badly with the layout of the workbench though and it
is not possible to disable trim contributions through extensions so we rely
on platform internals for that which is suboptimal. I think in the last
discussion about graduating the trim we talked about alternatives, e.g.
custom rendering of the Task List view icon but haven't had the time to
investigate that further.

Please feel free to file a feature request and I will bring this up on one
of the Mylyn weekly calls.

Steffen


> Hi Steffen,
>
> With your infos I was able to install the trim widget again. Thank you ;-)
>
> May I ask for the reason that the widget will not graduate? I'm using it
> for a long time now and to me it seems rocket stable and highly useful.
>
> Cheers
> /Eike
>
> ----
> http://thegordian.blogspot.com
> http://twitter.com/eikestepper
>
>
>> Hi Eike,
>>
>> the weekly site currently distributes the 3.3.x maintenance stream and
>> not the latest from head which is in Helios. This is a temporary measure
>> while integrators and users transition to the 3.4 stream.
>>
>> You can get a Helios compatible UI Experiments feature from this update
>> site:
>>
>> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>>
>> In case you get an error about unresolved Mylyn dependencies also add
>> this site:
>>
>> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>>
>> Note that the dev sites will disappear in the near future and the weekly
>> site will have the latest again as usual. I'll announce the switch on
>> this bug:
>>
>> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>>
>> We don't have plans to graduate the trim widget at the moment. Sorry for
>> the inconvenience.
>>
>> Steffen
>>
>>
>>
>> Eike Stepper wrote:
>>
>>> Hi,
>>>
>>> Thank you for the awesome trim widget. I can not live without it.
>>>
>>> I wonder when it's supposed to leave incubation. I discovered p2 update
>>> problems with the Incubator repository. For being able to update the
>>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>>> this error:
>>>
>>> Cannot complete the install because of a conflicting dependency.
>>> Software being installed: Mylyn UI Experiments (Incubation)
>>> 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>> 3.3.2.I20100209-0100-e3x)
>>> Software currently installed: Mylyn Bridge: Eclipse IDE
>>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>>> 3.4.0.I20100204-0200-e3x)
>>> Only one of the following can be installed at once:
>>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>>> 3.3.2.I20100209-0100-e3x)
>>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>>> 3.4.0.I20100204-0200-e3x)
>>> Cannot satisfy dependency:
>>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>>> To: org.eclipse.mylyn.ide.ui
>>> Cannot satisfy dependency:
>>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>>> Cannot satisfy dependency:
>>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>> 3.3.2.I20100209-0100-e3x)
>>> To: org.eclipse.mylyn.java_feature.feature.group
>>> [3.3.2.I20100209-0100,3.4.0)
>>>
>>> Installing the UI Experiments later was not possible ;-(
>>>
>>> Cheers
>>> /Eike
>>>
>>> ----
>>> http://thegordian.blogspot.com
>>> http://twitter.com/eikestepper
>>>
>>

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #515196 is a reply to message #515178] Thu, 18 February 2010 06:20 Go to previous messageGo to next message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Am 18.02.2010 01:44, schrieb Steffen Pingel:
> Good to hear that you were successful installing it. I personally use the
> trim widget very frequently and have it enabled in most of my workspaces. I
> find it particularly useful on small monitors where the task list is not
> always visible (e.g. in fast view) as an indicator of the active task and a
> quick way to navigate to it.
>
Yeah, that's exactly the reason why and the way how I use it, even on
huge displays ;-)

> The widget can interact badly with the layout of the workbench though and it
> is not possible to disable trim contributions through extensions so we rely
> on platform internals for that which is suboptimal.
I see.

> I think in the last
> discussion about graduating the trim we talked about alternatives, e.g.
> custom rendering of the Task List view icon but haven't had the time to
> investigate that further.
>
A pity ;-(

> Please feel free to file a feature request and I will bring this up on one
> of the Mylyn weekly calls.
>
Sure! What exactly should I request? Enhancing and graduating the
current trim widget or the custom rendering thing?

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper
Re: Trim Widget to Graduate? [message #515276 is a reply to message #515178] Thu, 18 February 2010 10:36 Go to previous messageGo to next message
Jörg Thönnes is currently offline Jörg ThönnesFriend
Messages: 229
Registered: July 2009
Senior Member
+1

Please put me on Cc: for the feature request.

Most of my team also uses the Task Trim widget quite heavily.

Cheers, Jörg

On 02/18/10 01:44, Steffen Pingel wrote:
> Good to hear that you were successful installing it. I personally use the
> trim widget very frequently and have it enabled in most of my workspaces. I
> find it particularly useful on small monitors where the task list is not
> always visible (e.g. in fast view) as an indicator of the active task and a
> quick way to navigate to it.
>
> The widget can interact badly with the layout of the workbench though and it
> is not possible to disable trim contributions through extensions so we rely
> on platform internals for that which is suboptimal. I think in the last
> discussion about graduating the trim we talked about alternatives, e.g.
> custom rendering of the Task List view icon but haven't had the time to
> investigate that further.
>
> Please feel free to file a feature request and I will bring this up on one
> of the Mylyn weekly calls.
>
> Steffen
>
>
>> Hi Steffen,
>>
>> With your infos I was able to install the trim widget again. Thank you ;-)
>>
>> May I ask for the reason that the widget will not graduate? I'm using it
>> for a long time now and to me it seems rocket stable and highly useful.
>>
>> Cheers
>> /Eike
>>
>> ----
>> http://thegordian.blogspot.com
>> http://twitter.com/eikestepper
>>
>>
>>> Hi Eike,
>>>
>>> the weekly site currently distributes the 3.3.x maintenance stream and
>>> not the latest from head which is in Helios. This is a temporary measure
>>> while integrators and users transition to the 3.4 stream.
>>>
>>> You can get a Helios compatible UI Experiments feature from this update
>>> site:
>>>
>>> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>>>
>>> In case you get an error about unresolved Mylyn dependencies also add
>>> this site:
>>>
>>> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>>>
>>> Note that the dev sites will disappear in the near future and the weekly
>>> site will have the latest again as usual. I'll announce the switch on
>>> this bug:
>>>
>>> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
>>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>>>
>>> We don't have plans to graduate the trim widget at the moment. Sorry for
>>> the inconvenience.
>>>
>>> Steffen
>>>
>>>
>>>
>>> Eike Stepper wrote:
>>>
>>>> Hi,
>>>>
>>>> Thank you for the awesome trim widget. I can not live without it.
>>>>
>>>> I wonder when it's supposed to leave incubation. I discovered p2 update
>>>> problems with the Incubator repository. For being able to update the
>>>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>>>> this error:
>>>>
>>>> Cannot complete the install because of a conflicting dependency.
>>>> Software being installed: Mylyn UI Experiments (Incubation)
>>>> 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>>> 3.3.2.I20100209-0100-e3x)
>>>> Software currently installed: Mylyn Bridge: Eclipse IDE
>>>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>>>> 3.4.0.I20100204-0200-e3x)
>>>> Only one of the following can be installed at once:
>>>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>>>> 3.3.2.I20100209-0100-e3x)
>>>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>>>> 3.4.0.I20100204-0200-e3x)
>>>> Cannot satisfy dependency:
>>>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>>>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>>>> To: org.eclipse.mylyn.ide.ui
>>>> Cannot satisfy dependency:
>>>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>>>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>>>> Cannot satisfy dependency:
>>>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>>> 3.3.2.I20100209-0100-e3x)
>>>> To: org.eclipse.mylyn.java_feature.feature.group
>>>> [3.3.2.I20100209-0100,3.4.0)
>>>>
>>>> Installing the UI Experiments later was not possible ;-(
>>>>
>>>> Cheers
>>>> /Eike
>>>>
>>>> ----
>>>> http://thegordian.blogspot.com
>>>> http://twitter.com/eikestepper
>>>>
>
Re: Trim Widget to Graduate? [message #515454 is a reply to message #515196] Thu, 18 February 2010 19:36 Go to previous messageGo to next message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
>> Please feel free to file a feature request and I will bring this up on
>> one of the Mylyn weekly calls.
>>
> Sure! What exactly should I request? Enhancing and graduating the
> current trim widget or the custom rendering thing?

Request what you would like to see :). If you are happy with the trim go for
that. It's more likely that we'll be able to get that into the Tasks
feature than fancy custom drawing.

Steffen

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #515509 is a reply to message #515454] Fri, 19 February 2010 06:08 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Done: https://bugs.eclipse.org/bugs/show_bug.cgi?id=303278 ;-)

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper



Am 18.02.2010 20:36, schrieb Steffen Pingel:
>>> Please feel free to file a feature request and I will bring this up on
>>> one of the Mylyn weekly calls.
>>>
>>>
>> Sure! What exactly should I request? Enhancing and graduating the
>> current trim widget or the custom rendering thing?
>>
> Request what you would like to see :). If you are happy with the trim go for
> that. It's more likely that we'll be able to get that into the Tasks
> feature than fancy custom drawing.
>
> Steffen
>
>
Re: Trim Widget to Graduate? [message #600710 is a reply to message #514324] Wed, 17 February 2010 03:00 Go to previous message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
Hi Eike,

the weekly site currently distributes the 3.3.x maintenance stream and not
the latest from head which is in Helios. This is a temporary measure while
integrators and users transition to the 3.4 stream.

You can get a Helios compatible UI Experiments feature from this update
site:

http://download.eclipse.org/tools/mylyn/update/dev/incubator

In case you get an error about unresolved Mylyn dependencies also add this
site:

http://download.eclipse.org/tools/mylyn/update/dev/e3.4

Note that the dev sites will disappear in the near future and the weekly
site will have the latest again as usual. I'll announce the switch on this
bug:

301565: Mylyn weekly update site has WikiText 1.2, not 1.3
https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565

We don't have plans to graduate the trim widget at the moment. Sorry for the
inconvenience.

Steffen



Eike Stepper wrote:
> Hi,
>
> Thank you for the awesome trim widget. I can not live without it.
>
> I wonder when it's supposed to leave incubation. I discovered p2 update
> problems with the Incubator repository. For being able to update the
> rest of Mylyn I had to uninstall the UI Experiments first because I got
> this error:
>
> Cannot complete the install because of a conflicting dependency.
> Software being installed: Mylyn UI Experiments (Incubation)
> 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
> 3.3.2.I20100209-0100-e3x)
> Software currently installed: Mylyn Bridge: Eclipse IDE
> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
> 3.4.0.I20100204-0200-e3x)
> Only one of the following can be installed at once:
> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
> 3.3.2.I20100209-0100-e3x)
> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
> 3.4.0.I20100204-0200-e3x)
> Cannot satisfy dependency:
> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
> To: org.eclipse.mylyn.ide.ui
> Cannot satisfy dependency:
> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
> Cannot satisfy dependency:
> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
> 3.3.2.I20100209-0100-e3x)
> To: org.eclipse.mylyn.java_feature.feature.group
> [3.3.2.I20100209-0100,3.4.0)
>
> Installing the UI Experiments later was not possible ;-(
>
> Cheers
> /Eike
>
> ----
> http://thegordian.blogspot.com
> http://twitter.com/eikestepper

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #600717 is a reply to message #600710] Wed, 17 February 2010 06:49 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Hi Steffen,

With your infos I was able to install the trim widget again. Thank you ;-)

May I ask for the reason that the widget will not graduate? I'm using it
for a long time now and to me it seems rocket stable and highly useful.

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper


> Hi Eike,
>
> the weekly site currently distributes the 3.3.x maintenance stream and not
> the latest from head which is in Helios. This is a temporary measure while
> integrators and users transition to the 3.4 stream.
>
> You can get a Helios compatible UI Experiments feature from this update
> site:
>
> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>
> In case you get an error about unresolved Mylyn dependencies also add this
> site:
>
> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>
> Note that the dev sites will disappear in the near future and the weekly
> site will have the latest again as usual. I'll announce the switch on this
> bug:
>
> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>
> We don't have plans to graduate the trim widget at the moment. Sorry for the
> inconvenience.
>
> Steffen
>
>
>
> Eike Stepper wrote:
>
>> Hi,
>>
>> Thank you for the awesome trim widget. I can not live without it.
>>
>> I wonder when it's supposed to leave incubation. I discovered p2 update
>> problems with the Incubator repository. For being able to update the
>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>> this error:
>>
>> Cannot complete the install because of a conflicting dependency.
>> Software being installed: Mylyn UI Experiments (Incubation)
>> 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>> 3.3.2.I20100209-0100-e3x)
>> Software currently installed: Mylyn Bridge: Eclipse IDE
>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>> 3.4.0.I20100204-0200-e3x)
>> Only one of the following can be installed at once:
>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>> 3.3.2.I20100209-0100-e3x)
>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>> 3.4.0.I20100204-0200-e3x)
>> Cannot satisfy dependency:
>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>> To: org.eclipse.mylyn.ide.ui
>> Cannot satisfy dependency:
>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>> Cannot satisfy dependency:
>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>> 3.3.2.I20100209-0100-e3x)
>> To: org.eclipse.mylyn.java_feature.feature.group
>> [3.3.2.I20100209-0100,3.4.0)
>>
>> Installing the UI Experiments later was not possible ;-(
>>
>> Cheers
>> /Eike
>>
>> ----
>> http://thegordian.blogspot.com
>> http://twitter.com/eikestepper
>>
>
Re: Trim Widget to Graduate? [message #600730 is a reply to message #600717] Thu, 18 February 2010 00:44 Go to previous message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
Good to hear that you were successful installing it. I personally use the
trim widget very frequently and have it enabled in most of my workspaces. I
find it particularly useful on small monitors where the task list is not
always visible (e.g. in fast view) as an indicator of the active task and a
quick way to navigate to it.

The widget can interact badly with the layout of the workbench though and it
is not possible to disable trim contributions through extensions so we rely
on platform internals for that which is suboptimal. I think in the last
discussion about graduating the trim we talked about alternatives, e.g.
custom rendering of the Task List view icon but haven't had the time to
investigate that further.

Please feel free to file a feature request and I will bring this up on one
of the Mylyn weekly calls.

Steffen


> Hi Steffen,
>
> With your infos I was able to install the trim widget again. Thank you ;-)
>
> May I ask for the reason that the widget will not graduate? I'm using it
> for a long time now and to me it seems rocket stable and highly useful.
>
> Cheers
> /Eike
>
> ----
> http://thegordian.blogspot.com
> http://twitter.com/eikestepper
>
>
>> Hi Eike,
>>
>> the weekly site currently distributes the 3.3.x maintenance stream and
>> not the latest from head which is in Helios. This is a temporary measure
>> while integrators and users transition to the 3.4 stream.
>>
>> You can get a Helios compatible UI Experiments feature from this update
>> site:
>>
>> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>>
>> In case you get an error about unresolved Mylyn dependencies also add
>> this site:
>>
>> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>>
>> Note that the dev sites will disappear in the near future and the weekly
>> site will have the latest again as usual. I'll announce the switch on
>> this bug:
>>
>> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>>
>> We don't have plans to graduate the trim widget at the moment. Sorry for
>> the inconvenience.
>>
>> Steffen
>>
>>
>>
>> Eike Stepper wrote:
>>
>>> Hi,
>>>
>>> Thank you for the awesome trim widget. I can not live without it.
>>>
>>> I wonder when it's supposed to leave incubation. I discovered p2 update
>>> problems with the Incubator repository. For being able to update the
>>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>>> this error:
>>>
>>> Cannot complete the install because of a conflicting dependency.
>>> Software being installed: Mylyn UI Experiments (Incubation)
>>> 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>> 3.3.2.I20100209-0100-e3x)
>>> Software currently installed: Mylyn Bridge: Eclipse IDE
>>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>>> 3.4.0.I20100204-0200-e3x)
>>> Only one of the following can be installed at once:
>>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>>> 3.3.2.I20100209-0100-e3x)
>>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>>> 3.4.0.I20100204-0200-e3x)
>>> Cannot satisfy dependency:
>>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>>> To: org.eclipse.mylyn.ide.ui
>>> Cannot satisfy dependency:
>>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>>> Cannot satisfy dependency:
>>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>> 3.3.2.I20100209-0100-e3x)
>>> To: org.eclipse.mylyn.java_feature.feature.group
>>> [3.3.2.I20100209-0100,3.4.0)
>>>
>>> Installing the UI Experiments later was not possible ;-(
>>>
>>> Cheers
>>> /Eike
>>>
>>> ----
>>> http://thegordian.blogspot.com
>>> http://twitter.com/eikestepper
>>>
>>

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #600741 is a reply to message #600730] Thu, 18 February 2010 06:20 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Am 18.02.2010 01:44, schrieb Steffen Pingel:
> Good to hear that you were successful installing it. I personally use the
> trim widget very frequently and have it enabled in most of my workspaces. I
> find it particularly useful on small monitors where the task list is not
> always visible (e.g. in fast view) as an indicator of the active task and a
> quick way to navigate to it.
>
Yeah, that's exactly the reason why and the way how I use it, even on
huge displays ;-)

> The widget can interact badly with the layout of the workbench though and it
> is not possible to disable trim contributions through extensions so we rely
> on platform internals for that which is suboptimal.
I see.

> I think in the last
> discussion about graduating the trim we talked about alternatives, e.g.
> custom rendering of the Task List view icon but haven't had the time to
> investigate that further.
>
A pity ;-(

> Please feel free to file a feature request and I will bring this up on one
> of the Mylyn weekly calls.
>
Sure! What exactly should I request? Enhancing and graduating the
current trim widget or the custom rendering thing?

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper
Re: Trim Widget to Graduate? [message #600754 is a reply to message #600730] Thu, 18 February 2010 10:36 Go to previous message
Jörg Thönnes is currently offline Jörg ThönnesFriend
Messages: 229
Registered: July 2009
Senior Member
+1

Please put me on Cc: for the feature request.

Most of my team also uses the Task Trim widget quite heavily.

Cheers, Jörg

On 02/18/10 01:44, Steffen Pingel wrote:
> Good to hear that you were successful installing it. I personally use the
> trim widget very frequently and have it enabled in most of my workspaces. I
> find it particularly useful on small monitors where the task list is not
> always visible (e.g. in fast view) as an indicator of the active task and a
> quick way to navigate to it.
>
> The widget can interact badly with the layout of the workbench though and it
> is not possible to disable trim contributions through extensions so we rely
> on platform internals for that which is suboptimal. I think in the last
> discussion about graduating the trim we talked about alternatives, e.g.
> custom rendering of the Task List view icon but haven't had the time to
> investigate that further.
>
> Please feel free to file a feature request and I will bring this up on one
> of the Mylyn weekly calls.
>
> Steffen
>
>
>> Hi Steffen,
>>
>> With your infos I was able to install the trim widget again. Thank you ;-)
>>
>> May I ask for the reason that the widget will not graduate? I'm using it
>> for a long time now and to me it seems rocket stable and highly useful.
>>
>> Cheers
>> /Eike
>>
>> ----
>> http://thegordian.blogspot.com
>> http://twitter.com/eikestepper
>>
>>
>>> Hi Eike,
>>>
>>> the weekly site currently distributes the 3.3.x maintenance stream and
>>> not the latest from head which is in Helios. This is a temporary measure
>>> while integrators and users transition to the 3.4 stream.
>>>
>>> You can get a Helios compatible UI Experiments feature from this update
>>> site:
>>>
>>> http://download.eclipse.org/tools/mylyn/update/dev/incubator
>>>
>>> In case you get an error about unresolved Mylyn dependencies also add
>>> this site:
>>>
>>> http://download.eclipse.org/tools/mylyn/update/dev/e3.4
>>>
>>> Note that the dev sites will disappear in the near future and the weekly
>>> site will have the latest again as usual. I'll announce the switch on
>>> this bug:
>>>
>>> 301565: Mylyn weekly update site has WikiText 1.2, not 1.3
>>> https://bugs.eclipse.org/bugs/show_bug.cgi?id=301565
>>>
>>> We don't have plans to graduate the trim widget at the moment. Sorry for
>>> the inconvenience.
>>>
>>> Steffen
>>>
>>>
>>>
>>> Eike Stepper wrote:
>>>
>>>> Hi,
>>>>
>>>> Thank you for the awesome trim widget. I can not live without it.
>>>>
>>>> I wonder when it's supposed to leave incubation. I discovered p2 update
>>>> problems with the Incubator repository. For being able to update the
>>>> rest of Mylyn I had to uninstall the UI Experiments first because I got
>>>> this error:
>>>>
>>>> Cannot complete the install because of a conflicting dependency.
>>>> Software being installed: Mylyn UI Experiments (Incubation)
>>>> 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>>> 3.3.2.I20100209-0100-e3x)
>>>> Software currently installed: Mylyn Bridge: Eclipse IDE
>>>> 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide_feature.feature.group
>>>> 3.4.0.I20100204-0200-e3x)
>>>> Only one of the following can be installed at once:
>>>> Mylyn IDE UI 3.3.2.I20100209-0100-e3x (org.eclipse.mylyn.ide.ui
>>>> 3.3.2.I20100209-0100-e3x)
>>>> Mylyn IDE UI 3.4.0.I20100204-0200-e3x (org.eclipse.mylyn.ide.ui
>>>> 3.4.0.I20100204-0200-e3x)
>>>> Cannot satisfy dependency:
>>>> From: Mylyn Bridge: Eclipse IDE 3.4.0.I20100204-0200-e3x
>>>> (org.eclipse.mylyn.ide_feature.feature.group 3.4.0.I20100204-0200-e3x)
>>>> To: org.eclipse.mylyn.ide.ui
>>>> Cannot satisfy dependency:
>>>> From: Mylyn Bridge: Java Development 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.java_feature.feature.group 3.3.2.I20100209-0100-e3x)
>>>> To: org.eclipse.mylyn.ide.ui [3.3.2.I20100209-0100-e3x]
>>>> Cannot satisfy dependency:
>>>> From: Mylyn UI Experiments (Incubation) 3.3.2.I20100209-0100-e3x
>>>> (org.eclipse.mylyn.sandbox.ui_feature.feature.group
>>>> 3.3.2.I20100209-0100-e3x)
>>>> To: org.eclipse.mylyn.java_feature.feature.group
>>>> [3.3.2.I20100209-0100,3.4.0)
>>>>
>>>> Installing the UI Experiments later was not possible ;-(
>>>>
>>>> Cheers
>>>> /Eike
>>>>
>>>> ----
>>>> http://thegordian.blogspot.com
>>>> http://twitter.com/eikestepper
>>>>
>
Re: Trim Widget to Graduate? [message #600773 is a reply to message #515196] Thu, 18 February 2010 19:36 Go to previous message
Steffen Pingel is currently offline Steffen PingelFriend
Messages: 706
Registered: July 2009
Senior Member
>> Please feel free to file a feature request and I will bring this up on
>> one of the Mylyn weekly calls.
>>
> Sure! What exactly should I request? Enhancing and graduating the
> current trim widget or the custom rendering thing?

Request what you would like to see :). If you are happy with the trim go for
that. It's more likely that we'll be able to get that into the Tasks
feature than fancy custom drawing.

Steffen

--
Steffen Pingel
Committer, http://eclipse.org/mylyn
Senior Developer, http://tasktop.com
Re: Trim Widget to Graduate? [message #600784 is a reply to message #515454] Fri, 19 February 2010 06:08 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5590
Registered: July 2009
Senior Member
Done: https://bugs.eclipse.org/bugs/show_bug.cgi?id=303278 ;-)

Cheers
/Eike

----
http://thegordian.blogspot.com
http://twitter.com/eikestepper



Am 18.02.2010 20:36, schrieb Steffen Pingel:
>>> Please feel free to file a feature request and I will bring this up on
>>> one of the Mylyn weekly calls.
>>>
>>>
>> Sure! What exactly should I request? Enhancing and graduating the
>> current trim widget or the custom rendering thing?
>>
> Request what you would like to see :). If you are happy with the trim go for
> that. It's more likely that we'll be able to get that into the Tasks
> feature than fancy custom drawing.
>
> Steffen
>
>
Previous Topic:two focus buttons in Breakpoints view
Next Topic:[mediawiki] Problem with underscore character
Goto Forum:
  


Current Time: Sun Dec 21 05:35:04 GMT 2014

Powered by FUDForum. Page generated in 0.02199 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software